%{
#include <stdio.h>
double soma = 0;
%}
%union {
        float dval;
        int ival;
       }
%token <ival> INT 
%token <dval> FLOAT
%%
linhas:   linha
         | linhas linha
         ;
linha :  '\n'
         | exp '\n' 
           {printf("=%lf\n", soma); }
         ;
exp   : INT
           { soma += (double)$1; }
        | '+' INT
           {soma += (double)$2; }
        | '-' INT
           {soma -= (double)$2; }
        | '=' INT
           {soma = (double)$2; }
        | '=' 
           {soma = (double)0; }
        | FLOAT 
           { soma += (double) $1; }
        | '+' FLOAT
           {soma += (double) $2; }
        | '-' FLOAT
           {soma -= (double) $2; }
        | '=' FLOAT
           {soma = (double) $2; }
        ; 
%%
void main(){
    yyparse();
}
